# Class JSOFA.CelestialIntermediatePole

java.lang.Object
org.jastronomy.jsofa.JSOFA.CelestialIntermediatePole

Enclosing class:
  `JSOFA`

public static class JSOFA.CelestialIntermediatePole extends Object
The components x,y are components of the Celestial Intermediate Pole unit vector in the Geocentric Celestial Reference System.

Since:
  AIDA Stage 1
Version:
  JSOFA Release 20180130
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 29 Jan 2010

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`x`
`double`
`y`

## Constructor Summary

Constructors
Constructor
Description
`CelestialIntermediatePole(double x, double y)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### x

public double x

### y

public double y

## Constructor Details

### CelestialIntermediatePole

public CelestialIntermediatePole(double x, double y)